Debian Bug report logs - #488279
csync2: requires an inetd but doesn't declare it

version graph

Package: csync2; Maintainer for csync2 is Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>; Source for csync2 is src:csync2.

Reported by: James Westby <jw+debian@jameswestby.net>

Date: Fri, 27 Jun 2008 15:00:01 UTC

Severity: important

Found in version csync2/1.34-1

Fixed in version csync2/1.34-2

Done: Norbert Tretkowski <nobse@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cyril Bouthors <cyril@bouthors.org>:
Bug#488279; Package csync2. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
New Bug report received and forwarded. Copy sent to Cyril Bouthors <cyril@bouthors.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: submit@bugs.debian.org
Subject: csync2: requires an inetd but doesn't declare it
Date: Fri, 27 Jun 2008 15:58:24 +0100
Package: csync2
Version: 1.34-1
Severity: important
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu intrepid

Hi,

csync2 will fail to install if there is no inetd as it unconditionally 
calls update-inetd in the postinst.

If the package requires an inetd then it should depend on
"openbsd-inetd | inet-superserver". If it does not require one
then it should check for the presence of update-inetd before
calling it.

Thanks,

James





Tags added: pending Request was from Norbert Tretkowski <nobse@debian.org> to control@bugs.debian.org. (Fri, 17 Oct 2008 11:30:03 GMT) Full text and rfc822 format available.

Reply sent to Norbert Tretkowski <nobse@debian.org>:
You have taken responsibility. (Thu, 09 Apr 2009 11:18:04 GMT) Full text and rfc822 format available.

Notification sent to James Westby <jw+debian@jameswestby.net>:
Bug acknowledged by developer. (Thu, 09 Apr 2009 11:18:04 GMT) Full text and rfc822 format available.

Message #12 received at 488279-close@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <nobse@debian.org>
To: 488279-close@bugs.debian.org
Subject: Bug#488279: fixed in csync2 1.34-2
Date: Thu, 09 Apr 2009 11:02:06 +0000
Source: csync2
Source-Version: 1.34-2

We believe that the bug you reported is fixed in the latest version of
csync2, which is due to be installed in the Debian FTP archive:

csync2_1.34-2.diff.gz
  to pool/main/c/csync2/csync2_1.34-2.diff.gz
csync2_1.34-2.dsc
  to pool/main/c/csync2/csync2_1.34-2.dsc
csync2_1.34-2_i386.deb
  to pool/main/c/csync2/csync2_1.34-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488279@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Tretkowski <nobse@debian.org> (supplier of updated csync2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Apr 2009 12:37:36 +0200
Source: csync2
Binary: csync2
Architecture: source i386
Version: 1.34-2
Distribution: unstable
Urgency: low
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Changed-By: Norbert Tretkowski <nobse@debian.org>
Description: 
 csync2     - cluster synchronization tool
Closes: 488279 500351
Changes: 
 csync2 (1.34-2) unstable; urgency=low
 .
   * New maintainers. (closes: #500351)
   * Add inetd dependencies. (closes: #488279)
Checksums-Sha1: 
 5a4ea3debf9294c56e3cb07c2cf9f81a61f7f3f6 1073 csync2_1.34-2.dsc
 a9524bcf13c5979651aebbfc9bd74903508c5ff3 3385 csync2_1.34-2.diff.gz
 6623e59e49922b053bd663e6a0b5c23ec4646934 147574 csync2_1.34-2_i386.deb
Checksums-Sha256: 
 68b6d610b2778c6202f353aac9fd595c6d3ea88a176b85f96152669872116a8d 1073 csync2_1.34-2.dsc
 1ba696b740cb13c16ece3fa15fa850de712affa512f83361a91a949f708b187b 3385 csync2_1.34-2.diff.gz
 5f53fd12c9897b89331ba7296cef654a8844d5a7bf6178b3a44c5734bbf06fbd 147574 csync2_1.34-2_i386.deb
Files: 
 25325cad7bce863c58e334a282f6f65c 1073 admin optional csync2_1.34-2.dsc
 c7c48af01ae53942f1f3953ac920c6a0 3385 admin optional csync2_1.34-2.diff.gz
 863db442849f0becb1b12a9e90f2f2ac 147574 admin optional csync2_1.34-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknd0YsACgkQr/RnCw96jQF9cQCgoJMj8BF2gYB/kc6O8x56gfhr
QEwAoIAT68kqerA3w02HL4RmyDft/EkR
=QE/q
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 May 2009 07:44:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:03:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.